﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Tools;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "BannerTool 클래스 : 배너 스크롤링하기";

            this.tChart.Panel.Pen      = new ChartPen(Color.Black);
            this.tChart.Legend.Visible = false;

            BannerTool bannerTool = new BannerTool(this.tChart.Chart);

            bannerTool.Left            = 100;
            bannerTool.Top             = 100;
            bannerTool.AutoSize        = true;
            bannerTool.ScrollDirection = ScrollingDirection.sdRightLeft;
            bannerTool.Scroll          = true;
            bannerTool.Blink           = false;
            bannerTool.Text            = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");
        }

        #endregion
    }
}